# Cookie Extract (Browser Extension)

[![Firefox Version](https://img.shields.io/badge/Firefox-v1.3-blue.svg)](https://addons.mozilla.org/zh-CN/firefox/addon/cookie-extract/) <!-- 在发布后替换 Firefox 链接 -->
[![Chrome Version](https://img.shields.io/badge/Chrome-v1.3-green.svg)](https://chrome.google.com/webstore/detail/your-chrome-store-id) <!-- 在发布后替换 Chrome 链接 -->
[![Edge Version](https://img.shields.io/badge/Edge-v1.3-purple.svg)](https://microsoftedge.microsoft.com/addons/detail/your-edge-store-id) <!-- 在发布后替换 Edge 链接 -->
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT) <!-- 如果你使用 MIT 协议 -->

一个简单的浏览器扩展，适用于 **Firefox, Chrome, 和 Edge**，可以帮助你快速提取和复制当前标签页中的 SESSION cookie 以及响应头中的 `Set-Cookie` 值。

## 功能

- **提取 SESSION Cookie:** 查找并显示当前页面域下的 `SESSION` cookie 值。
- **提取 Header Cookies:** 捕获并显示当前页面主文档（HTML）加载时的 `Set-Cookie` 响应头。
- **一键复制:** 提供单独的按钮，方便地将 `SESSION` cookie 或所有 Header Cookies 复制到剪贴板。
- **清晰展示:** 在扩展弹出窗口中清晰地列出提取到的 Cookie 信息。

## 安装方法

### 方式一：从官方商店 (推荐)

- Firefox:
  1. 访问 [Cookie Extract on Firefox Add-ons](https://addons.mozilla.org/zh-CN/firefox/addon/cookie-extract/) <!-- 在发布后替换这里的链接 -->
  2. 点击 "添加到 Firefox" 按钮。
- Chrome:
  1. 访问 [Cookie Extract on Chrome Web Store](https://chrome.google.com/webstore/detail/your-chrome-store-id) <!-- 在发布后替换这里的链接 -->
  2. 点击 "添加到 Chrome" 按钮。
- Microsoft Edge:
  1. 访问 [Cookie Extract on Microsoft Edge Add-ons](https://microsoftedge.microsoft.com/addons/detail/your-edge-store-id) <!-- 在发布后替换这里的链接 -->
  2. 点击 "获取" 按钮。

### 方式二：从源代码 (用于开发或测试)

1. 下载或克隆此仓库到本地文件夹。
2. 对于 Firefox:
   - 打开 Firefox 浏览器。
   - 在地址栏输入 `about:debugging#/runtime/this-firefox` 并回车。
   - 点击 "加载临时附加组件..." 按钮。
   - 导航到你保存扩展代码的文件夹，选择 `manifest.json` 文件并打开。
3. 对于 Chrome:
   - 打开 Chrome 浏览器。
   - 在地址栏输入 `chrome://extensions` 并回车。
   - 确保右上角的 "开发者模式 (Developer mode)" 开关已启用。
   - 点击左上角的 "加载已解压的扩展程序 (Load unpacked)" 按钮。
   - 导航并选择包含扩展代码的**文件夹** (包含 `manifest.json` 的那个文件夹)，然后点击 "选择文件夹"。
4. 对于 Microsoft Edge:
   - 打开 Edge 浏览器。
   - 在地址栏输入 `edge://extensions` 并回车。
   - 确保左下角的 "开发人员模式 (Developer mode)" 开关已启用。
   - 点击 "加载解压缩的扩展 (Load unpacked)" 按钮。
   - 导航并选择包含扩展代码的**文件夹** (包含 `manifest.json` 的那个文件夹)，然后点击 "选择文件夹"。

## 使用方法

1. 导航到你想要提取 Cookie 的网页。
2. 点击浏览器工具栏中的 "Cookie Extract" 图标（通常是一个小饼干或者你设置的图标）。
3. 扩展的弹出窗口将会显示：
   - 当前页面的 `SESSION` cookie (如果存在)，格式为 `SESSION=xxx`。
   - 页面加载时响应头中的所有 `Set-Cookie` 值列表 (如果存在)。
4. 点击对应的 "复制" 按钮，将所需信息复制到剪贴板。

## 权限说明

为了正常工作，此扩展需要以下权限：

- `cookies`: 读取当前标签页域下的 Cookie (用于获取 SESSION cookie)。
- `activeTab`: 允许扩展在用户点击图标时访问当前激活的标签页信息（如 URL），这是获取特定标签页 Cookie 和 Header 的安全方式。
- `webRequest`: 访问网络请求数据，特别是需要读取服务器响应头 (`Set-Cookie`)。
- `<all_urls>` 或特定主机权限 (例如 `*://*.example.com/*`): `cookies` 和 `webRequest` 权限需要指定作用域。`activeTab` 可以在用户交互时临时授权，但 `webRequest` 通常需要更明确的权限声明才能捕获后台请求的头信息。请根据你的 `manifest.json` 文件确认实际使用的权限。
- `clipboardWrite`: 将提取到的 Cookie 文本写入用户的剪贴板。

*注意：这些权限在 Firefox, Chrome, 和 Edge 上的功能类似。*

## 隐私政策

本扩展完全在你的本地浏览器中运行。它不会收集、存储或传输任何你的浏览数据或 Cookie 信息到任何外部服务器。所有处理都在本地完成。

## 图标替换说明

如果你是从源代码构建，可以替换 `images` 文件夹中的图标文件：

- `icon16.png` (16x16 像素)
- `icon48.png` (48x48 像素)
- `icon128.png` (128x128 像素)

你可以使用在线工具如 [Favicon Generator](https://favicon.io/) 来创建这些图标。

## 贡献 & 问题反馈

欢迎提出 Issue 或 Pull Request 来改进这个扩展！
